Open SCAP Library

Macros | Functions
selinuxsecuritycontext.c File Reference

selinuxsecuritycontext probe More...

`#include <seap.h>`
`#include <probe-api.h>`
`#include <probe/entcmp.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <limits.h>`
`#include <pthread.h>`
`#include <dirent.h>`
`#include <errno.h>`
`#include <selinux/selinux.h>`
`#include <selinux/context.h>`
`#include "oval_fts.h"`
`#include "util.h"`
`#include "common/debug_priv.h"`
`#include "probe/probe.h"`

## Macros
#define | FILE_SEPARATOR '/'

## Functions
int | probe_offline_mode_supported (void)
| In this function can be set supported type of offline mode.
int | probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

selinuxsecuritycontext probe

Author
  "Petr Lautrbach" plaut.nosp@m.rba@.nosp@m.redha.nosp@m.t.co.nosp@m.m

2011/07/01 plaut.nosp@m.rba@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process a selinuxsecuritycontext_object as defined in OVAL 5.9